########################################################################
#第2章
# Working directoryが 'toyoda' であることの確認
(getwd())

#図2.1　恩赦される確率の事後分布
set.seed(1234)                     #乱数の種
nod<-1000000                       #乱数の数
BdAa<-runif(nod)                   #2.4.5 f(Bd|Aa)の一様分布の設定
AaBd<-BdAa/(BdAa+1)                #2.4.1 囚人Aが恩赦される確率　(2.34)式
mean(AaBd)                         #EAP推定値
median(AaBd)                       #MED推定値
hist(AaBd,breaks=50,freq=F,col=3)  #事後分布、MAP推定値=0.5

########################################################################
#第2章2.6 実習課題 p.31
#(平均31.044、sd2.068の表1.3のデータでは以下のスクリプトとなる)

##1　28 秒付近と32 秒付近では，どちらが観測されやすいですか．(確率密度の比較)
round(dnorm(28,  31.044, 2.068),4)
round(dnorm(32,  31.044, 2.068),4)

##2　33 秒以上の値が観察される確率はどれほどですか．(1. 2. 7 項の復習)
1-round(pnorm(33,  31.044, 2.068),4)

##3　28 秒以上34 秒未満の値が観察される確率はどれほどですか．(1. 2. 9 項の復習)
round(pnorm(34,  31.044, 2.068)-pnorm(28,  31.044, 2.068),4)

##4　95%の確率でデータが観察される中央部の区間を求めなさい．(1. 2. 10 項の復習)
round(31.044- 1.96*2.068, 2)
round(31.044+ 1.96*2.068, 2)

##5　p(x > a) = 0:05, p(x < b) = 0:025 であるようなa 秒，b 秒を求めなさい．
round(qnorm(0.95,   31.044,2.068),4)
round(qnorm(0.025,  31.044,2.068),4)

##6　3 つの四分位点を求めなさい．(4 と5 は分布関数の逆関数によって求める)
round(qnorm(0.25,  31.044, 2.068),2)
round(qnorm(0.5 ,  31.044, 2.068),2)
round(qnorm(0.75,  31.044, 2.068),2)

########################################################################
#第2章2.7 実践問題 p.32
(0.15 * 0.5)/((0.15 * 0.5)+(0.02 * (1-0.5)))
(0.22 *  0.8823529)/((0.22 *  0.8823529)+(0.01 * (1- 0.8823529)))
(0.25 *  0.9939759)/((0.25 *  0.9939759)+(0.01 * (1- 0.9939759)))

########################################################################
